var volChart = new ej.charts.Chart({    
    enableCanvas: true,
    setInterval: 10,
    primaryXAxis: {
        valueType: 'Double',
        minimum: 0,   
        maximum: chartLength,
      },
    primaryYAxis: {
        valueType: 'Double',
        
    },
    series: [
        {            
            name: 'Total Volume',     
            color: 'black',
            type: 'Line',
            yName: 'totalVol',
            xName: 'x',
            width: '5',
            animation: { enable: true },
        },  
        {
            name: 'Chamber 1 Volume',
            type: 'Line',
            yName: 'chamber1Vol',
            xName: 'x',
            width: '5',
            animation: { enable: true },
        },  
        {
            name: 'Chamber 2 Volume',
            type: 'Line',
            yName: 'chamber2Vol',
            xName: 'x',
            width: '5',
            animation: { enable: true },
        },
    ],
    legend: {
        font:
        {   fontFamily: "Algerian", color:'green'},
        color: 'black',
    }            
});

volChart.appendTo('#volChartDiv');

var pressureChart = new ej.charts.Chart({
    enableCanvas: true,
    setInterval: 10,
    primaryXAxis: {
        valueType: 'Double',
        minimum: 0,
        maximum: chartLength,
    },
    primaryYAxis: {
        valueType: 'Double',
    },
    series: [        
        {
            name: 'Muscle Pressure',
            type: 'Line',
            xName: 'x',
            yName: 'musclePressure',
            width: '5',
            animation: { enable: true },
        },
        {
            name: 'Airway Pressure',
            type: 'Line',
            xName: 'x',
            yName: 'airwayPressure',
            width: '5',
            animation: { enable: true },
        },
        {
            name: 'Chamber 1 Pressure',
            type: 'Line',
            xName: 'x',
            yName: 'chamber1Pressure',
            width: '5',
            animation: { enable: true },
        },
        {
            name: 'Chamber 2 Pressure',
            type: 'Line',
            xName: 'x',
            yName: 'chamber2Pressure',
            width: '5',
            animation: { enable: true },
        },
    ],
    crosshair: { visible: true, type: 'trackball' },
    chartMouseMove: DoNothing,
});

pressureChart.appendTo('#pressureChartDiv');

var flowChart = new ej.charts.Chart({
    enableCanvas: true,
    setInterval: 10,
    primaryXAxis: {
        valueType: 'Double',
        minimum: 0,
        maximum: chartLength,
    },
    primaryYAxis: {
        valueType: 'Double',
    },
    series: [
        {
            name: 'Flow',
            type: 'Line',
            yName: 'flow',
            xName: 'x',
            width: '5',
            animation: { enable: true },
        },        
    ],
});

flowChart.appendTo('#flowChartDiv');

var lastBreathChart = new ej.charts.Chart({
    enableCanvas: true,
    setInterval: 10,
    primaryXAxis: {
        valueType: 'Double',
        //intervalType: 'Seconds',
    },
    primaryYAxis: {
        valueType: 'Double',
    },
    series: [
        {
            name: 'Total Volume',
            type: 'Line',
            animation: { enable: true },
        },
    ],
});
